package com.chenyang.druid.sql.dialect.mariadb.ast.statement;

import com.chenyang.druid.sql.ast.SQLExpr;
import com.chenyang.druid.sql.dialect.mariadb.ast.clause.MariadbTableTableSource;
import com.chenyang.druid.sql.dialect.mariadb.visitor.MariadbASTVisitor;
import java.util.ArrayList;
import java.util.List;

public class MariadbCacheIndexStatement extends MariadbStatementImpl {
   private SQLExpr keyCacheName;
   private List<MariadbTableTableSource> tables = new ArrayList();

   public List<MariadbTableTableSource> getTables() {
      return this.tables;
   }

   public void setTables(List<MariadbTableTableSource> tables) {
      this.tables = tables;
   }

   public void accept0(MariadbASTVisitor visitor) {
      if (visitor.visit(this)) {
         this.acceptChild(visitor, this.tables);
      }

      visitor.endVisit(this);
   }

   public SQLExpr getKeyCacheName() {
      return this.keyCacheName;
   }

   public void setKeyCacheName(SQLExpr keyCacheName) {
      this.keyCacheName = keyCacheName;
   }
}
